@import url('https://fonts.googleapis.com/css?family=Oswald:300,700');

@import 'styles/_variables.scss';

.CampaignStudent {
  &__header {
    width: 30%;
		padding: 5px;
		text-align: center;
		color: rgba(255, 255, 255, 1);
		background-color: transparentize($itg-blue, 0.2);
		font-family: 'Oswald', sans-serif;
    border-radius: 1px;
    animation: CampaignStudent 3s linear infinite;
  }

  &__content {
    margin: 0;
    padding: 5px 0;
		color: rgba(255, 255, 255, 1);
		text-align: center;

		&:first-letter {
      text-transform: uppercase;
		}
	}

  .Card {
    &__header {
      height: 235px;
      background-image: url('../../media/campaigns/student/2018.jpg');
      background-position: center;
      background-size: cover;
      display: flex;
      justify-content: center;
      align-items: center;
    }

    &__title {
      margin: -10px;
      text-transform: uppercase;
      font-weight: 700;
      font-family: inherit;
    }

    &__subtitle {
      margin: 0;
      font-weight: 100;
      font-family: inherit;
    }
  }
}

@keyframes CampaignStudent {
  0%, 23%, 100% {
    background-color: transparentize($itg-blue, 0.2);
  }
  33%, 57% {
    background-color: transparentize($itg-pink, 0.2);
  }
  67%, 90% {
    background-color: transparentize($itg-orange, 0.2);
  }
}
